unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, RPSImage, ExtCtrls, ClipBrd, ExtDlgs, ComCtrls,
  ShellApi;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Load: TButton;
    Save: TButton;
    Copy: TButton;
    Paste: TButton;
    OpenPictureDialog1: TOpenPictureDialog;
    SavePictureDialog1: TSavePictureDialog;
    ProgressBar1: TProgressBar;
    Label1: TLabel;
    Label2: TLabel;
    procedure LoadClick(Sender: TObject);
    procedure SaveClick(Sender: TObject);
    procedure CopyClick(Sender: TObject);
    procedure PasteClick(Sender: TObject);
    procedure Image1Progress(Sender: TObject; Stage: TProgressStage;
      PercentDone: Byte; RedrawNow: Boolean; const R: TRect;
      const Msg: String);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
  private
    { Private declarations }
    procedure Pro(Sender: TObject; Stage: TProgressStage;
      PercentDone: Byte; RedrawNow: Boolean; const R: TRect; const Msg: string);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.LoadClick(Sender: TObject);
begin
if OpenPictureDialog1.Execute then
 Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TForm1.SaveClick(Sender: TObject);
var r:TRPSImage;
begin
if SavePictureDialog1.Execute then
 begin
 r:=TRPSImage.Create;
 r.Assign(Image1.Picture.Graphic);
 r.OnProgress:=Pro;
 r.SaveToFile(SavePictureDialog1.FileName);
 r.Free;
 end;
end;

procedure TForm1.CopyClick(Sender: TObject);
var r:TRPSImage;
begin
r:=TRPSImage.Create;
r.Assign(Image1.Picture.Graphic);
ClipBoard.Assign(r);
r.Free;
end;

procedure TForm1.PasteClick(Sender: TObject);
begin
Image1.Picture.Assign(ClipBoard);
end;

procedure TForm1.Pro(Sender: TObject; Stage: TProgressStage;
   PercentDone: Byte; RedrawNow: Boolean; const R: TRect; const Msg: string);
begin
ProgressBar1.Position:=PercentDone;
if Stage=psending then ProgressBar1.Position:=0;
Application.ProcessMessages;
end;

procedure TForm1.Image1Progress(Sender: TObject; Stage: TProgressStage;
  PercentDone: Byte; RedrawNow: Boolean; const R: TRect;
  const Msg: String);
begin
ProgressBar1.Position:=PercentDone;
if Stage=psending then ProgressBar1.Position:=0;
Application.ProcessMessages;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
shellexecute(handle,'Open','http://mcop.netfirms.com/','','',SW_SHOW);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
shellexecute(handle,'Open','http://mcop.netfirms.com/order.html?id=8','','',SW_SHOW);
end;

end.
